# -*- rpm-spec -*-
# $Id: kernel-modules-lm_sensors-aw-up,v 1.14 2003/09/03 16:05:29 ed Exp $
#

%define         module_version          2.8.0
%define         module_name             lm_sensors

%define kversion 2.4.21
%define krelease alt23
%define         flavour                 aw-up

%define		base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define kcc "%kgcc"

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel

Summary:	%module_name modules
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release: alt11
License:	GPL
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
URL:		http://www.kernel.org/

BuildPreReq:	kernel-build-tools
BuildRequires:	rpm >= 4.0.2-75 gcc2.96 flex
BuildRequires:  kernel-headers-%flavour = %kversion-%krelease
BuildRequires:  kernel-source-%module_name = %module_version

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

%description
%{module_name} provide "chip" drivers for specific sensors and i2c and smbus
protocol implementation.

%prep

rm -rf kernel-source-%module_name-%module_version

%__tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
ls -l ./

%setup -D -T -n kernel-source-%module_name-%module_version

%build

%make_build CC=%kcc MODDIR=%module_dir SMP=0 PREFIX=%_prefix LINUX=%_includedir/linux-%kversion-%flavour dep
%make_build CC=%kcc MODDIR=%module_dir SMP=0 PREFIX=%_prefix LINUX=%_includedir/linux-%kversion-%flavour all

#make_build -C prog/hotplug CC=%kcc INCLUDEDIR=/usr/include/linux-%{kversion}-%{flavour}/include all
#make_build -C prog/hotplug -f Makefile.p4b CC=%kcc LINUX=/usr/include/linux-%{kversion}-%{flavour} all

%install
%__make install MODDIR=%module_dir LINUX=%_includedir/linux-%kversion-%flavour \
    DESTDIR=$RPM_BUILD_ROOT LINUX_INCLUDE_DIR=%_includedir/linux-%kversion-%flavour/include/linux \
    PREFIX=/usr

#__install -p -m644 prog/hotplug/{m7101,p4b_smbus}.o \
#	$RPM_BUILD_ROOT/lib/modules/%kversion-%flavour-%krelease/kernel/drivers/i2c/busses/

%post
/sbin/depmod -a -e -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%postun
/sbin/depmod -a -e -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Wed Sep 03 2003 Ed V. Bartosh <ed@altlinux.org> 2.8.0-alt11
- rebuilt with 2.4.21-alt23

* Mon Sep 01 2003 Zhenja Kaluta <tren@altlinux.ru> 2.8.0-alt10
- rebuilt with 2.4.21-alt22

* Tue Aug 26 2003 Ed V. Bartosh <ed@altlinux.org> 2.8.0-alt9
- rebuilt with 2.4.21-alt21

* Wed Aug 20 2003 Ed V. Bartosh <ed@altlinux.org> 2.8.0-alt8
- rebuilt with 2.4.21-alt19

* Mon Aug 11 2003 Zhenja Kaluta <tren@altlinux.ru> 2.8.0-alt7
- rebuilt with 2.4.21-alt18

* Fri Aug  8 2003 Zhenja Kaluta <trinfo@mail.ru> 2.8.0-alt6
- rebuilt with 2.4.21-alt17

* Thu Aug 07 2003 Ed V. Bartosh <ed@altlinux.org> 2.8.0-alt5
- rebuilt with 2.4.21-alt14

* Tue Aug 05 2003 Zhenja Kaluta <tren@altlinux.ru> 2.8.0-alt4
- aw-up-2.4.21-alt13

* Fri Aug  1 2003 Ed V. Bartosh <ed@sam-solutions.net> 2.8.0-alt3
- aw-up-2.4.21-alt11

* Tue Jul 29 2003 Ed V. Bartosh <ed@sam-solutions.net> 2.8.0-alt2
- aw-smp-2.4.21-alt11
- spec emprovements (removed unneded curly braces, use macros)

* Wed Jul 23 2003 Ed V. Bartosh <ed@sam-solutions.net> 2.8.0-alt1
- updated to 2.8.0
- renamed to lm_sensors

* Tue Jun 24 2003 Ed V. Bartosh <ed@sam-solutions.net> 2.7.0-alt2
- flex is required for build
- Build-requires on i2c-headers removed (i2c is not in a module now)
- minor changes in make commandline
- gcc 2.96 is used for compilation (no ccache)

* Wed Jun 18 2003 Ed V. Bartosh <ed@sam-solutions.net> 2.7.0-alt1
- Initial release (borrowed from std-smp)

